%define name	xvidcap
%define version	1.1.6
%define release %mkrel 1

Name:		%{name}
Summary:	Screen capture video recorder
Version:	%{version}
Release:	%{release}
Source:		http://downloads.sourceforge.net/xvidcap/%{name}-%{version}.tar.bz2
Patch0:		xvidcap-1.1.5-docbook.patch
Patch2:		xvidcap-1.1.5-nawk.patch
URL:		http://xvidcap.sourceforge.net/
License:	GPL
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	docbook2x
BuildRequires:	gtk2-devel jpeg-devel png-devel zlib-devel 
BuildRequires:	libglade2.0-devel
BuildRequires:	libxmu-devel
BuildRequires:	desktop-file-utils
BuildRequires:	scrollkeeper
BuildRequires:	perl-XML-Parser
Requires(post): scrollkeeper
Requires(postun): scrollkeeper
Requires:	mplayer
Requires:	mencoder
Requires:	ffmpeg
Requires:	imagemagick

%description
xvidcap is a screen capture enabling you to capture videos off your X-Window
desktop for illustration or documentation purposes. It is intended to be a
standards-based alternative to tools like Lotus ScreenCam.

%prep
%setup -q
%patch0 -p0 -b .docbook
%patch2 -p0 -b .fixawk

sh ./autogen.sh

%build
%configure2_5x \
	--with-forced-embedded-ffmpeg

%make

%install
rm -rf %{buildroot} %{name}.lang

%makeinstall_std

chmod 755 %{buildroot}%{_datadir}/%{name}/ppm2mpeg.sh
ln -s %{_datadir}/%{name}/ppm2mpeg.sh %{buildroot}%{_bindir}/ppm2mpeg.sh

rm -fr %{buildroot}/%{_docdir}

for omf in %{buildroot}%{_datadir}/omf/*/*-??.omf;do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%{buildroot}!!)" >> %{name}.lang
done

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{name} --with-gnome

%clean
rm -rf %{buildroot}

%post
%update_menus
%update_scrollkeeper	
	
%postun
%clean_menus
%clean_scrollkeeper

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/%{name}
%{_bindir}/ppm2mpeg.sh
%{_mandir}/man1/*
%lang(de) %{_mandir}/de/man1/*
%lang(es) %{_mandir}/es/man1/*
%lang(it) %{_mandir}/it/man1/*
%{_datadir}/applications/xvidcap.desktop
%{_datadir}/%{name}
%dir %{_datadir}/omf/*
%{_datadir}/omf/*/*.omf
%{_datadir}/pixmaps/%{name}.png


%changelog
* Fri Jun 01 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.6-1mdv2008.0
+ Revision: 34175
- new version
- drop P3 (merged upstream)

* Mon Apr 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.5-1mdv2008.0
+ Revision: 19355
- own missing files
- new version
- drop P1
- regenerate P0 and P2
- provide P3
- some cleans


* Thu Feb 15 2007 Götz Waschk <waschk@mandriva.org> 1.1.4-3mdv2007.0
+ Revision: 121482
- really fix permissions
- fix automake call
- fix ffmpeg build
- use docbook2x for help generation
- use awk instead of nawk
- fix call to ppm2mpeg helper script

* Mon Nov 06 2006 Götz Waschk <waschk@mandriva.org> 1.1.4-2mdv2007.0
+ Revision: 77045
- depend on mplayer

* Mon Oct 30 2006 Götz Waschk <waschk@mandriva.org> 1.1.4-1mdv2007.1
+ Revision: 73702
- new version
- fix buildrequires
- fix menu entry
- handle scrollkeeper registration

  + plouf <plouf>
    - 1.1.4RC2 fix s/gvidcap/xvidcap in menu
    - Import xvidcap

